#ifndef TRAKKER_H
#define TRAKKER_H

xmp_context xc;
snd_pcm_t *handle;
snd_pcm_sframes_t frames;
WINDOW *dis;
WINDOW *tab;

void destroyWindows();
void createWindows();
void displayHeader(xmp_module_info *mi, xmp_frame_info *fi);
void displayInfo(xmp_module_info *mi, xmp_frame_info *fi);
void displayPatterns(xmp_module_info *mi, xmp_frame_info *fi);
void displayScope(xmp_module_info *mi, xmp_frame_info *fi);
void displayNoteRoll(xmp_module_info *mi, xmp_frame_info *fi);
void displayPlayer();
void displayHelp();
void generateEffectsTable(char* type);
void addToEffects(int id, char efx, bool mem);
bool isPartOf(char* w1, const char* w2);

#endif